﻿using System;
using Microsoft.Office.Interop.Word;

class WordMeanings
{
    static void ShowInfo(SynonymInfo info)
    {
        Console.WriteLine("{0} has {1} meanings",
           info.Word, info.MeaningCount);
    }

    static void Main()
    {
        var app = new Application();
        app.Visible = false; // FIXME: Should be able to use object initializer; bug in beta 2 makes it fail

        object missing = Type.Missing;
        ShowInfo(app.get_SynonymInfo("painful", ref missing));

        ShowInfo(app.SynonymInfo["nice", WdLanguageID.wdEnglishUS]);

        ShowInfo(app.SynonymInfo[Word: "features"]);

        app.Application.Quit();
    }
}
