﻿using System;
using System.Collections.Generic;
using System.Dynamic;

class SimpleExpando
{
    static void Main()
    {
        dynamic expando = new ExpandoObject();
        IDictionary<string, object> dictionary = expando;
        expando.First = "value set dynamically";
        Console.WriteLine(dictionary["First"]);

        dictionary.Add("Second", "value set with dictionary");
        Console.WriteLine(expando.Second);

        expando.AddOne = (Func<int, int>)(x => x + 1);
        Console.Write(expando.AddOne(10));
    }
}
