﻿using System.Collections.Generic;

class ShapeContravariance
{
    class AreaComparer : IComparer<IShape>
    {
        public int Compare(IShape x, IShape y)
        {
            return x.Area.CompareTo(y.Area);
        }
    }

    static void Main()
    {
        IComparer<IShape> areaComparer = new AreaComparer();
        Shapes.Circles.Sort(areaComparer);
    }
}
